#!/bin/sh
# Leeg de wview database 

purge_archive_data()
{
	echo "delete from archive where dateTime >= '0';" >> /var/lib/wview/commands.sql
	echo ".read /var/lib/wview/commands.sql" | sqlite3 /var/lib/wview/archive/wview-archive.sdb
	rm -rf /var/lib/wview/commands.sql
}

sudo /etc/init.d/wview stop
sleep 5

# Kijk of de database aanwezig is:
if [ ! -f /var/lib/wview/archive/wview-archive.sdb ]; then
    echo "wview archiefdatabase NIET GEVONDEN" >> /home/pi/tools/log/backuplog.txt
    exit 4
fi

purge_archive_data

rm -rf /var/lib/wview/archive/wview-hilow.sdb
rm -rf /var/lib/wview/archive/wview-history.sdb
rm -rf /var/lib/wview/archive/wview-noaa.sdb

sudo /etc/init.d/wview start

exit 0

